<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="?attr/androidBackgroundSecondary"
    android:elevation="5dp"
    android:clickable="true"
    android:id="@+id/mini_player">

    <ImageView
        android:id="@+id/mini_player_image"
        android:layout_width="wrap_content"
        android:layout_height="60dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/default_avatar"
        tools:srcCompat="@drawable/default_avatar" />

    <TextView
        android:id="@+id/mini_player_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="8dp"
        android:maxWidth="180dp"
        android:text="Video"
        android:textAppearance="@style/TextAppearance.AppCompat.Body2"
        app:layout_constraintStart_toEndOf="@+id/mini_player_image"
        app:layout_constraintTop_toTopOf="parent"
        android:maxLines="1"
        android:ellipsize="end"
        android:textColor="?attr/androidOnBackgroundSecondary"/>

    <TextView
        android:id="@+id/mini_player_author"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginBottom="8dp"
        android:maxWidth="180dp"
        android:text="Author"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toEndOf="@+id/mini_player_image"
        android:maxLines="1"
        android:ellipsize="end" />

    <ImageView
        android:id="@+id/mini_play_pause"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_marginEnd="16dp"
        android:layout_weight="1"
        android:adjustViewBounds="false"
        android:contentDescription="@string/likeBtn"
        android:cropToPadding="false"
        android:scaleType="center"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/ic_pause_24"
        app:tint="@color/colorAccent" />
</androidx.constraintlayout.widget.ConstraintLayout>